Skip to main content
POST
/
v2
/
workflows
/
dlq
/
restart
Bulk Restart Workflows from DLQ
curl --request POST \
  --url https://qstash.upstash.io/v2/workflows/dlq/restart \
  --header 'Authorization: Bearer <token>'
{
  "workflowRuns": [
    {
      "workflowRunId": "<string>",
      "workflowCreatedAt": 123
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

QStash authentication token

Headers

Upstash-Retries
integer

Override the number of retries for the workflow steps.

Upstash-Delay
string

Override the delay before executing the workflows. Format is <value><unit> (e.g., "10s", "5m").

Upstash-Retry-Delay
string

Override the retry delay expression for the workflow steps.

Upstash-Flow-Control-Key
string

Override the flow control key for the workflows.

Upstash-Flow-Control-Value
string

Override the flow control configuration in the format parallelism=<value>, rate=<value>, period=<value>.

Upstash-Label
string

Override the label for the workflows.

Upstash-Failure-Callback
string

Override the failure callback URL for the workflows.

Query Parameters

dlqIds
string[]

List of specific DLQ IDs to restart. If provided, other filters are ignored.

cursor
string

Pagination cursor for restarting workflows in batches.

count
integer

Maximum number of workflows to restart. If not provided, all matching workflows will be restarted.

fromDate
integer<int64>

Filter workflows by starting date, in milliseconds (Unix timestamp). This is inclusive.

toDate
integer<int64>

Filter workflows by ending date, in milliseconds (Unix timestamp). This is inclusive.

workflowUrl
string

Filter workflows by workflow URL.

workflowRunId
string

Filter workflows by workflow run ID.

workflowCreatedAt
integer<int64>

Filter workflows by creation timestamp in milliseconds (Unix timestamp).

label
string

Filter workflows by label assigned by the user.

failureFunctionState
string

Filter workflows by failure function state.

StateDescription
CALLBACK_INPROGRESSThe failure function is in progress.
CALLBACK_SUCCESSThe failure function run successfully.
CALLBACK_FAILThe failure function failed to run.
CALLBACK_CANCELEDThe failure function was manually canceled
callerIp
string

Filter workflows by IP address of the publisher.

flowControlKey
string

Filter workflows by Flow Control Key.

Response

Workflows restarted successfully

workflowRuns
object[]

Array of restarted workflow runs.

cursor
string

Pagination cursor to use in subsequent requests. If empty, all matching workflows have been processed.